Subject: Re: [Syfi-dev] sfc: python syntax

From: "Martin Sandve Alnæs" <[email-masked]>
Date: Mon, 17 Mar 2008 21:57:05 +0100

Hi Marc,
please direct future questions to [email-masked].

This is Python 2.5 syntax, so if you have an earlier version of Python
that is the reason. I also belive I've used Python 2.5 features
several places, so I don't know how much work it would be to make SFC
work with earlier python versions.

What exactly do you mean by "high order quads"?

(And btw, I'll be offline for the next week, so in case you have
further questions I won't be able to answer right away.)

--
Martin

2008/3/17, mspieg <[email-masked]>:
> Hi Martin,
>    I'm just getting going in syfi but was having some issues running the sfc
> tests.
>
> I think I have most of syfi and sfc built on my mac (Intel, Macosx 10.4.11)
> after a bit of poking around with configure
>
> there's just one line that's gagging things on my mac
>
> the line is
>
>
>     self.options        = {} if options is None else options
>
> in FormRrep.py (modified in revision 21)
>
> and this generates the  error message
>
>
> SyntaxError: invalid syntax
> byte-compiling
> /usr/local/lib/python2.4/site-packages/sfc/representations/FormRep.py
> to FormRep.pyc
>   File
> "/usr/local/lib/python2.4/site-packages/sfc/representations/FormRep.py",
> line 248
>     self.options        = {} if options is None else options
>
>
> I seem to need this to run the sfc demo test_integration.py (or just the
> general sfc tests).  My python is fairly non-existent (but I'm hoping this
> will be the project to start the learning curve). Eventually, I'm hoping to
> use syfi and sfc to generate matrices for high-order quads..
>
> all help greatly appreciated
> cheers
> marc
>
>
>
> ----------------------------------------------------
> Marc Spiegelman
> Lamont-Doherty Earth Observatory
> Dept. of Applied Physics/Applied Math
> Columbia University
> http://www.ldeo.columbia.edu/~mspieg
> tel: 845 704 2323 (SkypeIn)
> ----------------------------------------------------
>
>